Bug 228676 - converters/osm2pgrouting: update to 2.3.6
Summary: converters/osm2pgrouting: update to 2.3.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2018-06-02 13:33 UTC by lbartoletti
Modified: 2019-01-15 14:38 UTC (History)
2 users (show)

See Also:
lbartoletti: maintainer-feedback+
lbartoletti: merge-quarterly?


Attachments
osm2pgrouting 2.3.5 (4.89 KB, patch)
2018-06-02 13:33 UTC, lbartoletti
lbartoletti: maintainer-approval+
Details | Diff
osm2pgrouting 2.3.6 (5.20 KB, patch)
2019-01-11 08:15 UTC, lbartoletti
lbartoletti: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lbartoletti 2018-06-02 13:33:36 UTC
Created attachment 193914 [details]
osm2pgrouting 2.3.5

Update osm2pgrouting 2.3.3 to 2.3.5


Changelog:
2.3.5
Bug fixes and docs improvements:

    Fix: zero division error when max_speed = 0.
    Fix: fixed osm_ways parsing - OSMDocument.
    Fix: switch to a more inclusive check for nullptr definition (fixes compilation on macOS 10.13 using Xcode 9.3)
    Docs improvements: How to release doc.

2.3.4
Bug fixes and other improvements:

    osm_elements - fixed boolean assignment with boost::lexical_cast.
    Use ${CMAKE_INSTALL_PREFIX} in CMakeLists.txt.
    Readme doc improvements: Tips section and Table of contents.


Poudriere 10/11 i386/amd64 OK
portlint ok

tested@work
Comment 1 Thomas Zander freebsd_committer 2018-06-02 16:05:08 UTC
This does not build. poudriere testport log:

...
=======================<phase: stage          >============================
===>  Staging for osm2pgrouting-2.3.5
===>   osm2pgrouting-2.3.5 depends on executable: psql - found
===>   Generating temporary packing list
[0/1] cd /wrkdirs/usr/ports/converters/osm2pgrouting/work/.build && /usr/local/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
-- Install configuration: "Release"
-- Installing: /wrkdirs/usr/ports/converters/osm2pgrouting/work/stage/usr/local/bin/osm2pgrouting
-- Set runtime path of "/wrkdirs/usr/ports/converters/osm2pgrouting/work/stage/usr/local/bin/osm2pgrouting" to "/usr/local/lib"
-- Installing: /wrkdirs/usr/ports/converters/osm2pgrouting/work/stage/usr/local/share/osm2pgrouting/COPYING
-- Installing: /wrkdirs/usr/ports/converters/osm2pgrouting/work/stage/usr/local/share/osm2pgrouting/Readme.md
-- Installing: /wrkdirs/usr/ports/converters/osm2pgrouting/work/stage/usr/local/share/osm2pgrouting/mapconfig.xml
-- Installing: /wrkdirs/usr/ports/converters/osm2pgrouting/work/stage/usr/local/share/osm2pgrouting/mapconfig_for_cars.xml
-- Installing: /wrkdirs/usr/ports/converters/osm2pgrouting/work/stage/usr/local/share/osm2pgrouting/mapconfig_for_bicycles.xml
-- Installing: /wrkdirs/usr/ports/converters/osm2pgrouting/work/stage/usr/local/share/osm2pgrouting/mapconfig_for_pedestrian.xml
mv: rename /wrkdirs/usr/ports/converters/osm2pgrouting/work/stage/usr/local/etc/*.xml to /wrkdirs/usr/ports/converters/osm2pgrouting/work/stage/usr/local/etc/*.xml.sample: No such file or directory
*** Error code 1

Stop.
make: stopped in /usr/ports/converters/osm2pgrouting
Comment 2 wen 2018-09-28 02:16:07 UTC
I failed the build too.

wen
Comment 3 lbartoletti 2019-01-11 08:15:56 UTC
Created attachment 201014 [details]
osm2pgrouting 2.3.6

Update osm2pgrouting 2.3.3 to 2.3.6

It's just fixed bugs and improvements in the installer.

Tested @works

v2.3.6
Bug fixes:

    Fix: Incorrect classification of one-ways.
    Fix: command line configuration in print outputs (db password removed).
    Other minor fixes.

v2.3.5
Bug fixes and docs improvements:

    Fix: zero division error when max_speed = 0.
    Fix: fixed osm_ways parsing - OSMDocument.
    Fix: switch to a more inclusive check for nullptr definition (fixes compilation on macOS 10.13 using Xcode 9.3)
    Docs improvements: How to release doc.

The full list of closed issues can be found here:
https://github.com/pgRouting/osm2pgrouting/milestone/11?closed=1

v2.3.4
Bug fixes and other improvements:

    osm_elements - fixed boolean assignment with boost::lexical_cast.
    Use ${CMAKE_INSTALL_PREFIX} in CMakeLists.txt.
    Readme doc improvements: Tips section and Table of contents.

The full list of closed issues can be found here:
https://github.com/pgRouting/osm2pgrouting/milestone/10?closed=1
Comment 4 commit-hook freebsd_committer 2019-01-15 14:37:29 UTC
A commit references this bug:

Author: swills
Date: Tue Jan 15 14:36:58 UTC 2019
New revision: 490380
URL: https://svnweb.freebsd.org/changeset/ports/490380

Log:
  converters/osm2pgrouting: update to 2.3.6

  PR:		228676
  Submitted by:	lbartoletti <lbartoletti@tuxfamily.org> (maintainer)

Changes:
  head/converters/osm2pgrouting/Makefile
  head/converters/osm2pgrouting/distinfo
  head/converters/osm2pgrouting/files/patch-CMakeLists.txt
  head/converters/osm2pgrouting/files/patch-include_parser_ConfigurationParserCallback.h
  head/converters/osm2pgrouting/files/patch-include_parser_OSMDocumentParserCallback.h
  head/converters/osm2pgrouting/pkg-plist
Comment 5 Steve Wills freebsd_committer 2019-01-15 14:38:03 UTC
Committed, thanks!